Package org.opensaml.saml.saml2.metadata.impl

# Class SSODescriptorMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.saml.common.AbstractSAMLObjectMarshaller
org.opensaml.saml.saml2.metadata.impl.RoleDescriptorMarshaller
org.opensaml.saml.saml2.metadata.impl.SSODescriptorMarshaller

All Implemented Interfaces:
  `Marshaller`

Direct Known Subclasses:
  `IDPSSODescriptorMarshaller`, `SPSSODescriptorMarshaller`

public abstract class SSODescriptorMarshaller extends RoleDescriptorMarshaller
A thread safe Marshaller for `SSODescriptor` objects.

## Constructor Summary

Constructors
Constructor
Description
`SSODescriptorMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.saml.saml2.metadata.impl.RoleDescriptorMarshaller

`marshallAttributeIDness, marshallAttributes`

### Methods inherited from class org.opensaml.saml.common.AbstractSAMLObjectMarshaller

`marshall, marshall, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SSODescriptorMarshaller

public SSODescriptorMarshaller()